Bug 615728 - Please update to webkitgtk-1.2.3
Summary: Please update to webkitgtk-1.2.3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk
Version: 12
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-18 10:06 UTC by Martin Sourada
Modified: 2010-09-21 01:43 UTC (History)
5 users (show)

(edit)
Clone Of:
: 615729 (view as bug list)
(edit)
Last Closed: 2010-09-15 05:40:33 UTC


Attachments (Terms of Use)

Description Martin Sourada 2010-07-18 10:06:49 UTC
Description of problem:
New version in the stable series of webkitgtk is available.

Version-Release number of selected component (if applicable):
webkitgtk-1.2.0-1.fc12.i686

From the announcement [1]:
"Some of you may have noticed WebKitGTK+ 1.2.2 and 1.2.3 have been uploaded recently. Here’s their announcement =). A quick summary: if you’re running the 1.2.x series upgrade to 1.2.3."

According the announcement It should fix one annoying bug with dragging current build is affected with.

It also includes fixes to various CVEs some of which might be also present in current fedora release. Full list of them is in NEWS file [2].

According to the NEWS it also is API/ABI compatible with current fedora release, so no incompatibility problems should arise from updating.

[1] http://blog.kov.eti.br/?p=116
[2] http://gitorious.org/webkitgtk/stable/blobs/master/WebKit/gtk/NEWS

Comment 2 Fedora Update System 2010-09-09 03:53:06 UTC
webkitgtk-1.2.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/webkitgtk-1.2.4-1.fc13

Comment 3 Fedora Update System 2010-09-09 04:50:08 UTC
webkitgtk-1.2.4-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/webkitgtk-1.2.4-1.fc12

Comment 4 Fedora Update System 2010-09-10 03:26:19 UTC
webkitgtk-1.2.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update webkitgtk'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/webkitgtk-1.2.4-1.fc13

Comment 5 Fedora Update System 2010-09-15 05:40:09 UTC
webkitgtk-1.2.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-09-21 01:42:41 UTC
webkitgtk-1.2.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.